Support » Plugin: Cooked - Recipe Plugin » PHP > 7.0 Problem

  • qeyduey

    (@qeyduey)


    Hello Boxy Studio,

    The [cooked-browse] shortcode throws a WSOD if PHP 7.1-7.3 is enabled.

    Please advise.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Boxy Studio

    (@boxystudio)

    Can you enable WP_DEBUG to see what errors are showing up?

    https://codex.wordpress.org/WP_DEBUG

    Hey Boxy Studio,

    No error. However, just found the culprit. There’s a clash with another plugin — Query Monitor. So, if PHP 7.0 or less is active with Query Monitor activated, there is no WSOD. However, if PHP 7.1 or greater is active with Query Monitor activated, there is a WSOD. On the other hand, if PHP 7.1 or greater is active and Query Monitor is deactivated, there is no WSOD.

    Hope this helps for something!

    Plugin Author Boxy Studio

    (@boxystudio)

    Okay, so just too be clear it’s the Query Monitor plugin that has the issue and not the Cooked plugin, right?

    Thanks for the info!

    Hey Boxy Studio,

    Well, considering the Query Monitor plugin is a developer tool that’s used to figure out issues happening with WP plugins ,and it works flawlessly with every other plugin I’ve ever used in the past, I’d say there’s obviously a compatibility issue. I don’t know who’s plugin is responsible, but the two plugins are obviously not playing well together when the [cooked-browse] shortcode is executed. I’d say it’s worth looking into if I were you, but that’s just my $0.02.

    Happy to help! =D

    Plugin Author Boxy Studio

    (@boxystudio)

    Okay, thanks for the feedback!

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.